Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration
Class MultipleObjectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.plumtree.remote.prc.collaboration.CollaborationException
                          com.plumtree.remote.prc.collaboration.MultipleObjectException

All Implemented Interfaces:
  java.io.Serializable

public class MultipleObjectException
extends CollaborationException

Thrown when multiple exceptions occur on the server during bulk operations.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`MultipleObjectException()`
`MultipleObjectException(java.lang.String message)`

Method Summary
`void` | `addException(int ID, java.lang.Exception e)` Adds an child exception to this exception container.
`java.lang.Exception` | `getCauseException(int ID)` Retrieves a specific exception for a given object ID.
`int[]` | `getIds()` An array of object IDs for which exceptions occurred.

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultipleObjectException

    public MultipleObjectException(java.lang.String message)

### MultipleObjectException

    public MultipleObjectException()

Method Detail

### addException

    public void addException(int ID,
                             java.lang.Exception e)

  Adds an child exception to this exception container. This should not be used.

  Parameters:
    `ID` - the ID of the object causing the exception
    `e` - the exception caused

### getIds

    public int[] getIds()

  An array of object IDs for which exceptions occurred.

  Returns:
    the IDs

### getCauseException

    public java.lang.Exception getCauseException(int ID)

  Retrieves a specific exception for a given object ID.

  Parameters:
    `ID` - the ID of the object for which the exception occurred
  Returns:
    an Exception pertaining to the supplied object ID

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.